"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AssetBalance = void 0;
/**
 * Represents the current balance of a specific asset in the channel.
 * @param assetAddress the Ethereum address of the asset type
 * @param totalAmount the total amount of the asset that has been deposited for use by the Hypernet Protocol.
 * @param lockedAmount the amount of the asset that is currently in use in pending tranfers
 * @param freeAmount the amount of the asset that is available for sending in transfers
 */
class AssetBalance {
    constructor(channelAddress, assetAddress, name, symbol, decimals, totalAmount, lockedAmount, freeAmount) {
        this.channelAddress = channelAddress;
        this.assetAddress = assetAddress;
        this.name = name;
        this.symbol = symbol;
        this.decimals = decimals;
        this.totalAmount = totalAmount;
        this.lockedAmount = lockedAmount;
        this.freeAmount = freeAmount;
    }
}
exports.AssetBalance = AssetBalance;
//# sourceMappingURL=AssetBalance.js.map