import { ChainId } from "./ChainId";
import { EthereumContractAddress } from "./EthereumContractAddress";
import { RegistryModulesNames } from "./RegistryModulesNames";
import { ProviderUrl } from "./ProviderUrl";
import { RegistryNames } from "./RegistryNames";
export declare class ChainInformation {
    name: string;
    chainId: ChainId;
    hasGovernance: boolean;
    isDev: boolean;
    channelFactoryAddress: EthereumContractAddress;
    transferRegistryAddress: EthereumContractAddress;
    hypertokenAddress: EthereumContractAddress;
    messageTransferAddress: EthereumContractAddress;
    insuranceTransferAddress: EthereumContractAddress;
    parameterizedTransferAddress: EthereumContractAddress;
    hypernetGovernorAddress: EthereumContractAddress | null;
    registryFactoryAddress: EthereumContractAddress | null;
    registryNames: RegistryNames;
    registryModulesNames: RegistryModulesNames;
    providerUrls: ProviderUrl[];
    constructor(name: string, chainId: ChainId, hasGovernance: boolean, isDev: boolean, channelFactoryAddress: EthereumContractAddress, transferRegistryAddress: EthereumContractAddress, hypertokenAddress: EthereumContractAddress, messageTransferAddress: EthereumContractAddress, insuranceTransferAddress: EthereumContractAddress, parameterizedTransferAddress: EthereumContractAddress, hypernetGovernorAddress: EthereumContractAddress | null, registryFactoryAddress: EthereumContractAddress | null, registryNames: RegistryNames, registryModulesNames: RegistryModulesNames, providerUrls: ProviderUrl[]);
}
export declare class GovernanceChainInformation extends ChainInformation {
    name: string;
    chainId: ChainId;
    hasGovernance: boolean;
    isDev: boolean;
    channelFactoryAddress: EthereumContractAddress;
    transferRegistryAddress: EthereumContractAddress;
    hypertokenAddress: EthereumContractAddress;
    messageTransferAddress: EthereumContractAddress;
    insuranceTransferAddress: EthereumContractAddress;
    parameterizedTransferAddress: EthereumContractAddress;
    hypernetGovernorAddress: EthereumContractAddress;
    registryFactoryAddress: EthereumContractAddress;
    registryNames: RegistryNames;
    registryModulesNames: RegistryModulesNames;
    providerUrls: ProviderUrl[];
    constructor(name: string, chainId: ChainId, hasGovernance: boolean, isDev: boolean, channelFactoryAddress: EthereumContractAddress, transferRegistryAddress: EthereumContractAddress, hypertokenAddress: EthereumContractAddress, messageTransferAddress: EthereumContractAddress, insuranceTransferAddress: EthereumContractAddress, parameterizedTransferAddress: EthereumContractAddress, hypernetGovernorAddress: EthereumContractAddress, registryFactoryAddress: EthereumContractAddress, registryNames: RegistryNames, registryModulesNames: RegistryModulesNames, providerUrls: ProviderUrl[]);
}
//# sourceMappingURL=ChainInformation.d.ts.map