import { BigNumberString } from "./BigNumberString";
import { ChainId } from "./ChainId";
import { EthereumContractAddress } from "./EthereumContractAddress";
import { GatewayUrl } from "./GatewayUrl";
import { IMessageTransferData } from "./MessageTransferData";
import { PaymentId } from "./PaymentId";
import { PublicIdentifier } from "./PublicIdentifier";
import { IRate } from "./Rate";
import { UnixTimestamp } from "./UnixTimestamp";
export interface IHypernetOfferDetails extends IMessageTransferData {
    paymentId: PaymentId;
    routerPublicIdentifier: PublicIdentifier;
    chainId: ChainId;
    creationDate: UnixTimestamp;
    to: PublicIdentifier;
    from: PublicIdentifier;
    requiredStake: BigNumberString;
    paymentAmount: BigNumberString;
    gatewayUrl: GatewayUrl;
    paymentToken: EthereumContractAddress;
    insuranceToken: EthereumContractAddress;
    expirationDate: UnixTimestamp;
    metadata: string | null;
    rate?: IRate;
}
//# sourceMappingURL=HypernetOfferDetails.d.ts.map