import { BigNumberString } from "./BigNumberString";
import { EthereumAccountAddress } from "./EthereumAccountAddress";
import { EProposalVoteSupport, EProposalState } from "./typing";
export declare class ProposalVoteReceipt {
    proposalId: BigNumberString;
    voterAddress: EthereumAccountAddress;
    hasVoted: boolean;
    support: EProposalVoteSupport;
    votes: number;
    constructor(proposalId: BigNumberString, voterAddress: EthereumAccountAddress, hasVoted: boolean, support: EProposalVoteSupport, votes: number);
}
export declare class Proposal {
    id: BigNumberString;
    state: EProposalState;
    originator: string;
    votesFor: number;
    votesAgainst: number;
    votesAbstain: number;
    description: string;
    proposalNumber: number | null;
    startBlock: number;
    endBlock: number;
    constructor(id: BigNumberString, state: EProposalState, originator: string, votesFor: number, votesAgainst: number, votesAbstain: number, description: string, proposalNumber: number | null, startBlock: number, endBlock: number);
}
//# sourceMappingURL=Proposal.d.ts.map