import { BigNumberString } from "./BigNumberString";
import { EthereumAccountAddress } from "./EthereumAccountAddress";
import { EthereumContractAddress } from "./EthereumContractAddress";
import { RegistryModuleCapability } from "./RegistryModuleCapability";
import { RegistryName } from "./RegistryName";
export declare class Registry {
    registrarAddresses: (EthereumAccountAddress | EthereumContractAddress)[];
    registrarAdminAddresses: EthereumAccountAddress[];
    address: EthereumContractAddress;
    name: RegistryName;
    symbol: string;
    numberOfEntries: number;
    allowStorageUpdate: boolean;
    allowLabelChange: boolean;
    allowTransfers: boolean;
    registrationToken: EthereumContractAddress;
    registrationFee: BigNumberString;
    burnAddress: EthereumAccountAddress;
    burnFee: number;
    primaryRegistry: EthereumContractAddress;
    baseURI: string;
    modulesCapability: RegistryModuleCapability;
    index: number | null;
    constructor(registrarAddresses: (EthereumAccountAddress | EthereumContractAddress)[], registrarAdminAddresses: EthereumAccountAddress[], address: EthereumContractAddress, name: RegistryName, symbol: string, numberOfEntries: number, allowStorageUpdate: boolean, allowLabelChange: boolean, allowTransfers: boolean, registrationToken: EthereumContractAddress, registrationFee: BigNumberString, burnAddress: EthereumAccountAddress, burnFee: number, primaryRegistry: EthereumContractAddress, baseURI: string, modulesCapability: RegistryModuleCapability, index: number | null);
}
//# sourceMappingURL=Registry.d.ts.map