"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.chainConfig = void 0;
const ChainId_1 = require("../ChainId");
const ChainInformation_1 = require("../ChainInformation");
const EthereumContractAddress_1 = require("../EthereumContractAddress");
const ProviderUrl_1 = require("../ProviderUrl");
const RegistryModulesNames_1 = require("../RegistryModulesNames");
const RegistryNames_1 = require("../RegistryNames");
const RegistryName_1 = require("../RegistryName");
exports.chainConfig = new Map([
    [
        (0, ChainId_1.ChainId)(1337),
        new ChainInformation_1.GovernanceChainInformation("Local Development Chain", (0, ChainId_1.ChainId)(1337), true, true, (0, EthereumContractAddress_1.EthereumContractAddress)("0xF12b5dd4EAD5F743C6BaA640B0216200e89B60Da"), // channelFactory
        (0, EthereumContractAddress_1.EthereumContractAddress)("0x8f0483125FCb9aaAEFA9209D8E9d7b9C8B9Fb90F"), // transferRegistry
        (0, EthereumContractAddress_1.EthereumContractAddress)("0xAa588d3737B611baFD7bD713445b314BD453a5C8"), // hypertoken
        (0, EthereumContractAddress_1.EthereumContractAddress)("0xFB88dE099e13c3ED21F80a7a1E49f8CAEcF10df6"), // messageTransfer
        (0, EthereumContractAddress_1.EthereumContractAddress)("0x30753E4A8aad7F8597332E813735Def5dD395028"), // insuranceTransfer
        (0, EthereumContractAddress_1.EthereumContractAddress)("0x2C2B9C9a4a25e24B174f26114e8926a9f2128FE4"), // parameterizedTransfer
        (0, EthereumContractAddress_1.EthereumContractAddress)("0xdDA6327139485221633A1FcD65f4aC932E60A2e1"), // hypernetGovernor
        (0, EthereumContractAddress_1.EthereumContractAddress)("0x82D50AD3C1091866E258Fd0f1a7cC9674609D254"), // registryFactory
        new RegistryNames_1.RegistryNames((0, RegistryName_1.RegistryName)("Hypernet Profiles"), (0, RegistryName_1.RegistryName)("Gateways"), (0, RegistryName_1.RegistryName)("Liquidity Providers"), (0, RegistryName_1.RegistryName)("Payment Tokens"), (0, RegistryName_1.RegistryName)("Registry Modules"), (0, RegistryName_1.RegistryName)("Hypernet.ID")), new RegistryModulesNames_1.RegistryModulesNames("Batch Minting", "Lazy Minting", "Merkle Drop"), [(0, ProviderUrl_1.ProviderUrl)("http://localhost:8545")]),
    ],
    [
        (0, ChainId_1.ChainId)(31337),
        new ChainInformation_1.GovernanceChainInformation("Local Development Hardhat Chain", (0, ChainId_1.ChainId)(31337), true, true, (0, EthereumContractAddress_1.EthereumContractAddress)("0xF12b5dd4EAD5F743C6BaA640B0216200e89B60Da"), // channelFactory
        (0, EthereumContractAddress_1.EthereumContractAddress)("0x8f0483125FCb9aaAEFA9209D8E9d7b9C8B9Fb90F"), // transferRegistry
        (0, EthereumContractAddress_1.EthereumContractAddress)("0x5FbDB2315678afecb367f032d93F642f64180aa3"), // hypertoken
        (0, EthereumContractAddress_1.EthereumContractAddress)("0xFB88dE099e13c3ED21F80a7a1E49f8CAEcF10df6"), // messageTransfer
        (0, EthereumContractAddress_1.EthereumContractAddress)("0x30753E4A8aad7F8597332E813735Def5dD395028"), // insuranceTransfer
        (0, EthereumContractAddress_1.EthereumContractAddress)("0x2C2B9C9a4a25e24B174f26114e8926a9f2128FE4"), // parameterizedTransfer
        (0, EthereumContractAddress_1.EthereumContractAddress)("0xCf7Ed3AccA5a467e9e704C703E8D87F634fB0Fc9"), // hypernetGovernor
        (0, EthereumContractAddress_1.EthereumContractAddress)("0x610178dA211FEF7D417bC0e6FeD39F05609AD788"), // registryFactory
        new RegistryNames_1.RegistryNames((0, RegistryName_1.RegistryName)("Hypernet Profiles"), (0, RegistryName_1.RegistryName)("Gateways"), (0, RegistryName_1.RegistryName)("Liquidity Providers"), (0, RegistryName_1.RegistryName)("Payment Tokens"), (0, RegistryName_1.RegistryName)("Registry Modules"), (0, RegistryName_1.RegistryName)("Hypernet.ID")), new RegistryModulesNames_1.RegistryModulesNames("Batch Minting", "Lazy Minting", "Merkle Drop"), [(0, ProviderUrl_1.ProviderUrl)("http://localhost:8545")]),
    ],
    [
        (0, ChainId_1.ChainId)(1369),
        new ChainInformation_1.GovernanceChainInformation("Dev Environment Chain", (0, ChainId_1.ChainId)(1369), true, false, (0, EthereumContractAddress_1.EthereumContractAddress)("0xF12b5dd4EAD5F743C6BaA640B0216200e89B60Da"), // channelFactory
        (0, EthereumContractAddress_1.EthereumContractAddress)("0x8f0483125FCb9aaAEFA9209D8E9d7b9C8B9Fb90F"), // transferRegistry
        (0, EthereumContractAddress_1.EthereumContractAddress)("0xAa588d3737B611baFD7bD713445b314BD453a5C8"), // hypertoken
        (0, EthereumContractAddress_1.EthereumContractAddress)("0xFB88dE099e13c3ED21F80a7a1E49f8CAEcF10df6"), // messageTransfer
        (0, EthereumContractAddress_1.EthereumContractAddress)("0x30753E4A8aad7F8597332E813735Def5dD395028"), // insuranceTransfer
        (0, EthereumContractAddress_1.EthereumContractAddress)("0x2C2B9C9a4a25e24B174f26114e8926a9f2128FE4"), // parameterizedTransfer
        (0, EthereumContractAddress_1.EthereumContractAddress)("0xdDA6327139485221633A1FcD65f4aC932E60A2e1"), // hypernetGovernor
        (0, EthereumContractAddress_1.EthereumContractAddress)("0x82D50AD3C1091866E258Fd0f1a7cC9674609D254"), // registryFactory
        new RegistryNames_1.RegistryNames((0, RegistryName_1.RegistryName)("Hypernet Profiles"), (0, RegistryName_1.RegistryName)("Gateways"), (0, RegistryName_1.RegistryName)("Liquidity Providers"), (0, RegistryName_1.RegistryName)("Payment Tokens"), (0, RegistryName_1.RegistryName)("Registry Modules"), (0, RegistryName_1.RegistryName)("Hypernet.ID")), new RegistryModulesNames_1.RegistryModulesNames("Batch Minting", "Lazy Minting", "Merkle Drop"), [(0, ProviderUrl_1.ProviderUrl)("https://eth-provider-dev.hypernetlabs.io")]),
    ],
    [
        (0, ChainId_1.ChainId)(4),
        new ChainInformation_1.GovernanceChainInformation("Rinkeby", (0, ChainId_1.ChainId)(4), true, false, (0, EthereumContractAddress_1.EthereumContractAddress)("0xC82e22B0Ef5808DE0F7E9CeB265499e29012b02c"), // channelFactory
        (0, EthereumContractAddress_1.EthereumContractAddress)("0x4b86a332d76b21933d245fEF7636B1019EE6C824"), // transferRegistry
        (0, EthereumContractAddress_1.EthereumContractAddress)("0x6D4eE7f794103672490830e15308A99eB7a89024"), // hypertoken
        (0, EthereumContractAddress_1.EthereumContractAddress)("0x9E86dd60e0B1e7e142F033d1BdEf734c6b3224Bb"), // messageTransfer
        (0, EthereumContractAddress_1.EthereumContractAddress)("0xed911640fd86f92fD1337526010adda8F3Eb8344"), // insuranceTransfer
        (0, EthereumContractAddress_1.EthereumContractAddress)("0x5FAe7F15Ae20A10053CCca1DcFce0E2Bb4D50A7d"), // parameterizedTransfer
        (0, EthereumContractAddress_1.EthereumContractAddress)("0x3353da0f24fCACd83832b09e9371a937195D2640"), // hypernetGovernor
        (0, EthereumContractAddress_1.EthereumContractAddress)("0x60eFCb4dDA1bef87aA244006273e3DdDb0E4abCB"), // registryFactory
        new RegistryNames_1.RegistryNames((0, RegistryName_1.RegistryName)("Hypernet Profiles"), (0, RegistryName_1.RegistryName)("Gateways"), (0, RegistryName_1.RegistryName)("Liquidity Providers"), (0, RegistryName_1.RegistryName)("Payment Tokens"), (0, RegistryName_1.RegistryName)("Registry Modules"), (0, RegistryName_1.RegistryName)("Hypernet.ID")), new RegistryModulesNames_1.RegistryModulesNames("Batch Minting", "Lazy Minting", "Merkle Drop"), [(0, ProviderUrl_1.ProviderUrl)("https://rinkeby.hypernet.foundation")]),
    ],
    [
        (0, ChainId_1.ChainId)(1),
        new ChainInformation_1.GovernanceChainInformation("MainNet", (0, ChainId_1.ChainId)(1), true, false, (0, EthereumContractAddress_1.EthereumContractAddress)("TODO"), // channelFactory
        (0, EthereumContractAddress_1.EthereumContractAddress)("TODO"), // transferRegistry
        (0, EthereumContractAddress_1.EthereumContractAddress)("TODO"), // hypertoken
        (0, EthereumContractAddress_1.EthereumContractAddress)("TODO"), // messageTransfer
        (0, EthereumContractAddress_1.EthereumContractAddress)("TODO"), // insuranceTransfer
        (0, EthereumContractAddress_1.EthereumContractAddress)("TODO"), // parameterizedTransfer
        (0, EthereumContractAddress_1.EthereumContractAddress)("TODO"), // hypernetGovernor
        (0, EthereumContractAddress_1.EthereumContractAddress)("TODO"), // registryFactory
        new RegistryNames_1.RegistryNames((0, RegistryName_1.RegistryName)("Hypernet Profiles"), (0, RegistryName_1.RegistryName)("Gateways"), (0, RegistryName_1.RegistryName)("Liquidity Providers"), (0, RegistryName_1.RegistryName)("Payment Tokens"), (0, RegistryName_1.RegistryName)("Registry Modules"), (0, RegistryName_1.RegistryName)("Hypernet.ID")), new RegistryModulesNames_1.RegistryModulesNames("Batch Minting", "Lazy Minting", "Merkle Drop"), [(0, ProviderUrl_1.ProviderUrl)("https://mainnet.hypernet.foundation")]),
    ],
    [
        (0, ChainId_1.ChainId)(137),
        new ChainInformation_1.GovernanceChainInformation("Polygon Mainnet", (0, ChainId_1.ChainId)(137), true, false, (0, EthereumContractAddress_1.EthereumContractAddress)("TODO"), // channelFactory
        (0, EthereumContractAddress_1.EthereumContractAddress)("TODO"), // transferRegistry
        (0, EthereumContractAddress_1.EthereumContractAddress)("TODO"), // hypertoken
        (0, EthereumContractAddress_1.EthereumContractAddress)("TODO"), // messageTransfer
        (0, EthereumContractAddress_1.EthereumContractAddress)("TODO"), // insuranceTransfer
        (0, EthereumContractAddress_1.EthereumContractAddress)("TODO"), // parameterizedTransfer
        (0, EthereumContractAddress_1.EthereumContractAddress)("TODO"), // hypernetGovernor
        (0, EthereumContractAddress_1.EthereumContractAddress)("0xd93fbc9d330c5a1d242d01c0f10115483a062d7c"), // registryFactory
        new RegistryNames_1.RegistryNames((0, RegistryName_1.RegistryName)("Hypernet Profiles"), (0, RegistryName_1.RegistryName)("Gateways"), (0, RegistryName_1.RegistryName)("Liquidity Providers"), (0, RegistryName_1.RegistryName)("Payment Tokens"), (0, RegistryName_1.RegistryName)("Registry Modules"), (0, RegistryName_1.RegistryName)("Hypernet.ID")), new RegistryModulesNames_1.RegistryModulesNames("Batch Minting", "Lazy Minting", "Merkle Drop"), [
            (0, ProviderUrl_1.ProviderUrl)("https://polygon-mainnet.infura.io/v3/d9f9f416d1e94778a11cabc1ddc5e931"),
        ]),
    ],
    [
        (0, ChainId_1.ChainId)(80001),
        new ChainInformation_1.GovernanceChainInformation("Polygon Mumbai", (0, ChainId_1.ChainId)(80001), true, false, (0, EthereumContractAddress_1.EthereumContractAddress)("TODO"), // channelFactory
        (0, EthereumContractAddress_1.EthereumContractAddress)("TODO"), // transferRegistry
        (0, EthereumContractAddress_1.EthereumContractAddress)("TODO"), // hypertoken
        (0, EthereumContractAddress_1.EthereumContractAddress)("TODO"), // messageTransfer
        (0, EthereumContractAddress_1.EthereumContractAddress)("TODO"), // insuranceTransfer
        (0, EthereumContractAddress_1.EthereumContractAddress)("TODO"), // parameterizedTransfer
        (0, EthereumContractAddress_1.EthereumContractAddress)("TODO"), // hypernetGovernor
        (0, EthereumContractAddress_1.EthereumContractAddress)("0x6cd4a3319B5E2173Fb44e21B5b506da35ada9899"), // registryFactory
        new RegistryNames_1.RegistryNames((0, RegistryName_1.RegistryName)("Hypernet Profiles"), (0, RegistryName_1.RegistryName)("Gateways"), (0, RegistryName_1.RegistryName)("Liquidity Providers"), (0, RegistryName_1.RegistryName)("Payment Tokens"), (0, RegistryName_1.RegistryName)("Registry Modules"), (0, RegistryName_1.RegistryName)("Hypernet.ID")), new RegistryModulesNames_1.RegistryModulesNames("Batch Minting", "Lazy Minting", "Merkle Drop"), [
            (0, ProviderUrl_1.ProviderUrl)("https://polygon-mumbai.infura.io/v3/d9f9f416d1e94778a11cabc1ddc5e931"),
        ]),
    ],
    [
        (0, ChainId_1.ChainId)(43113),
        new ChainInformation_1.GovernanceChainInformation("Avalanche Fuji", (0, ChainId_1.ChainId)(43113), true, false, (0, EthereumContractAddress_1.EthereumContractAddress)("TODO"), // channelFactory
        (0, EthereumContractAddress_1.EthereumContractAddress)("TODO"), // transferRegistry
        (0, EthereumContractAddress_1.EthereumContractAddress)("TODO"), // hypertoken
        (0, EthereumContractAddress_1.EthereumContractAddress)("TODO"), // messageTransfer
        (0, EthereumContractAddress_1.EthereumContractAddress)("TODO"), // insuranceTransfer
        (0, EthereumContractAddress_1.EthereumContractAddress)("TODO"), // parameterizedTransfer
        (0, EthereumContractAddress_1.EthereumContractAddress)("TODO"), // hypernetGovernor
        (0, EthereumContractAddress_1.EthereumContractAddress)("0xc5b292502cDb63f6c19A9a85a29B5F5834b9146a"), // registryFactory
        new RegistryNames_1.RegistryNames((0, RegistryName_1.RegistryName)("Hypernet Profiles"), (0, RegistryName_1.RegistryName)("Gateways"), (0, RegistryName_1.RegistryName)("Liquidity Providers"), (0, RegistryName_1.RegistryName)("Payment Tokens"), (0, RegistryName_1.RegistryName)("Registry Modules"), (0, RegistryName_1.RegistryName)("Hypernet.ID")), new RegistryModulesNames_1.RegistryModulesNames("Batch Minting", "Lazy Minting", "Merkle Drop"), [
            (0, ProviderUrl_1.ProviderUrl)("https://f0fa7eba-0c1b-4f3f-bc37-67ba6ae2b60a.hypernetlabs.io/http/ext/bc/C/rpc"),
        ]),
    ],
]);
//# sourceMappingURL=chains.config.js.map