"use strict";
/**
 * GatewayAuthorizationDeniedError is thrown when the user will
 * not sign the gateway's signature, thereby authorizing the gateway's
 * code.
 * This is a fatal error for the gateway, and no retries should
 * be attempted.
 */
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.GatewayAuthorizationDeniedError = void 0;
const errorCodes_1 = __importDefault(require("../errors/errorCodes"));
class GatewayAuthorizationDeniedError extends Error {
    constructor(message, src) {
        super(message);
        this.src = src;
        this.errorCode = errorCodes_1.default[GatewayAuthorizationDeniedError.name];
    }
}
exports.GatewayAuthorizationDeniedError = GatewayAuthorizationDeniedError;
//# sourceMappingURL=GatewayAuthorizationDeniedError.js.map