"use strict";
/**
 * GatewayConnectorError is a generic error type, that simply means
 * that the operation failed inside the gateway iframe for some reason.
 * We got a response, which will be recorded in the error.
 */
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.GatewayConnectorError = void 0;
const errorCodes_1 = __importDefault(require("../errors/errorCodes"));
class GatewayConnectorError extends Error {
    constructor(message, src) {
        super(message);
        this.src = src;
        this.errorCode = errorCodes_1.default[GatewayConnectorError.name];
    }
}
exports.GatewayConnectorError = GatewayConnectorError;
//# sourceMappingURL=GatewayConnectorError.js.map