"use strict";
/**
 * GovernanceSignerUnavailableError is returned when the mainProvider is not connected to the governance chain, and you attempt
 * to do a write operation on the governance chain. The governance chain is available via our own private node farm.
 */
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.GovernanceSignerUnavailableError = void 0;
const errorCodes_1 = __importDefault(require("../errors/errorCodes"));
class GovernanceSignerUnavailableError extends Error {
    constructor(message, src) {
        super(message);
        this.src = src;
        this.errorCode = errorCodes_1.default[GovernanceSignerUnavailableError.name];
    }
}
exports.GovernanceSignerUnavailableError = GovernanceSignerUnavailableError;
//# sourceMappingURL=GovernanceSignerUnavailableError.js.map