"use strict";
/**
 * ProxyError is raised when a proxy can not be created or communication
 * can not be established. This is a fatal error for that proxy, but
 * retrying is still logical.
 */
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ProxyError = void 0;
const errorCodes_1 = __importDefault(require("../errors/errorCodes"));
class ProxyError extends Error {
    constructor(message, src) {
        super(message);
        this.src = src;
        this.errorCode = errorCodes_1.default[ProxyError.name];
    }
}
exports.ProxyError = ProxyError;
//# sourceMappingURL=ProxyError.js.map