import { ethers } from "ethers";
import { Contract } from "@ethersproject/contracts";
import { BytesLike } from "@ethersproject/bytes";
import { FunctionFragment, Result } from "@ethersproject/abi";
export interface IMessageTransferInterface extends ethers.utils.Interface {
    functions: {
        "EncodedCancel()": FunctionFragment;
        "Name()": FunctionFragment;
        "ResolverEncoding()": FunctionFragment;
        "StateEncoding()": FunctionFragment;
        "create(bytes,bytes)": FunctionFragment;
        "getRegistryInformation()": FunctionFragment;
        "resolve(bytes,bytes,bytes)": FunctionFragment;
    };
    encodeFunctionData(functionFragment: "EncodedCancel", values?: undefined): string;
    encodeFunctionData(functionFragment: "Name", values?: undefined): string;
    encodeFunctionData(functionFragment: "ResolverEncoding", values?: undefined): string;
    encodeFunctionData(functionFragment: "StateEncoding", values?: undefined): string;
    encodeFunctionData(functionFragment: "create", values: [BytesLike, BytesLike]): string;
    encodeFunctionData(functionFragment: "getRegistryInformation", values?: undefined): string;
    encodeFunctionData(functionFragment: "resolve", values: [BytesLike, BytesLike, BytesLike]): string;
    decodeFunctionResult(functionFragment: "EncodedCancel", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "Name", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "ResolverEncoding", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "StateEncoding", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "create", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "getRegistryInformation", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "resolve", data: BytesLike): Result;
    events: {};
}
export declare class MessageTransfer extends Contract {
}
//# sourceMappingURL=MessageTransfer.d.ts.map